package com.pgpool.tests;


import com.pgpool.domain.AuthData;

public abstract class PgpoolTest {

	public abstract void runTest(AuthData authData) throws Exception;

	enum TestType {
		ISSUE_231("231"),
		ISSUE_271("271");

		String id;

		TestType(String id) {
			this.id = id;
		}

		public static TestType fromId(String id) {
			for (TestType testType : TestType.values()) {
				if (testType.id.equals(id)) {
					return testType;
				}
			}

			throw new IllegalArgumentException("Invalid TestType:" + id);
		}
	}
}
